## pseudo 1.0

=== DESCRIPTION ===
Package: pseudo
Title: Pseudo - observations
Version: 1.0
Author: Mette Gerster, Maja Pohar Perme
Description: Various functions for computing pseudo-observations for
        censored data regression
Maintainer: Mette Gerster <m.gerster@biostat.ku.dk>
Depends: KMsurv, geepack
License: GPL-2
Packaged: Wed Oct 10 08:32:43 2007; Maja
Repository: CRAN
Date/Publication: 2007-10-11 08:26:48

## pseudo 1.1

=== DESCRIPTION ===
Package: pseudo
Title: Pseudo - observations
Version: 1.1
Authors@R: 
        c(person(c("Maja","Pohar","Perme"),role="aut",email="maja.pohar@mf.uni-lj.si"),person("Mette",
        "Gerster", role =
        c("aut","cre"),email="mgerster@health.sdu.dk"))
Description: Various functions for computing pseudo-observations for
        censored data regression
Depends: KMsurv, geepack
License: GPL-2
Repository: CRAN
Packaged: 2012-03-21 07:03:59 UTC; majap
Author: Maja Pohar Perme [aut], Mette Gerster [aut, cre]
Maintainer: ORPHANED
Date/Publication: 2012-03-21 08:59:41
NeedsCompilation: no
X-CRAN-Original-Maintainer: Mette Gerster <mgerster@health.sdu.dk>
X-CRAN-Comment: Orphaned on 2013-12-21 as maintainer address
        <mgerster@health.sdu.dk> bounced.

## pseudo 1.4.3

=== DESCRIPTION ===
Package: pseudo
Title: Computes Pseudo-Observations for Modeling
Version: 1.4.3
Authors@R: 
        c(person(c("Maja","Pohar","Perme"),role="aut",email="maja.pohar@mf.uni-lj.si"),person("Mette",
        "Gerster", role ="aut",email="mgerster@health.sdu.dk"),person("Kevin",
        "Rodrigues", role ="cre",email="kevin.asr@outlook.com"))
Description: Various functions for computing pseudo-observations for censored data regression. Computes pseudo-observations for modeling: competing risks based on the cumulative incidence function, survival function based on the restricted mean,  survival function based on the Kaplan-Meier estimator see Klein et al. (2008) <doi:10.1016/j.cmpb.2007.11.017>. 
Depends: R (>= 3.3.3), KMsurv, geepack
License: GPL-2
Encoding: UTF-8
Repository: CRAN
Packaged: 2017-07-30 15:28:19 UTC; kevin
Author: Maja Pohar Perme [aut], Mette Gerster [aut], Kevin Rodrigues [cre]
Date/Publication: 2017-07-30 23:00:00 UTC
NeedsCompilation: no
Maintainer: Kevin Rodrigues <kevin.asr@outlook.com>

## pseudo 1.7.4

=== debian/changelog ===
pseudo (1.7.4-2) unstable; urgency=medium

  * Don't use pseudo directly, LD_PRELOAD it instead.
  * Lower the priority to 5 to address #805937.
  * Imitate fakeroot more closely.
  * Fix inaccuracies in the copyright.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 24 Nov 2015 19:48:50 +0100

pseudo (1.7.4-1) unstable; urgency=low

  * Initial release (Closes: #796973).

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 22 Nov 2015 21:25:49 +0100

=== debian/control ===
Source: pseudo
Section: utils
Priority: optional
Maintainer: Andrew Shadura <andrewsh@debian.org>
Build-Depends: debhelper (>=9), attr, libattr1-dev, python, libsqlite3-dev
Standards-Version: 3.9.6
Homepage: https://www.yoctoproject.org/tools-resources/projects/pseudo

Package: pseudo
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: fakeroot
Description: advanced tool for simulating superuser privileges
 The pseudo utility offers a way to run commands in a virtualized "root"
 environment, allowing ordinary users to run commands which give the
 illusion of creating device nodes, changing file ownership, and otherwise doing
 things necessary for creating distribution packages or filesystems.
 .
 Pseudo has a lot of similarities to fakeroot but is a new implementation
 that improves on the problems seen using fakeroot. Pseudo is now
 extensively used by Poky as a replacement to fakeroot but can also be
 used standalone in many other use cases.

=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get LDFLAGS)

libdir := /usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/pseudo

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --bits=$(shell dpkg-architecture -qDEB_HOST_ARCH_BITS) --libdir=$(libdir) --without-rpath
	sed -e 's,@LIBDIR@,$(libdir),g' debian/fakeroot-pseudo.in > debian/fakeroot-pseudo

override_dh_auto_install:
	dh_auto_install
	rm -r debian/*/usr/var

override_dh_auto_test:
	unset LD_PRELOAD; \
	dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.txt

## pseudo 1.7.5

=== debian/changelog ===
pseudo (1.7.5-5) unstable; urgency=medium

  * Actually install fakeroot-pseudo wrapper (Closes: #823162).

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 02 May 2016 17:59:30 +0200

pseudo (1.7.5-4) unstable; urgency=medium

  * Fix the package version in Replaces/Breaks.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 29 Apr 2016 13:44:38 +0200

pseudo (1.7.5-3) unstable; urgency=medium

  [ Loïc Minier ]
  * Unbreak GNU getopt test on some locales (LP: #1290069).

  [ Andrew Shadura ]
  * Split libpseudo into a separate package.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 29 Apr 2016 13:39:01 +0200

pseudo (1.7.5-2) unstable; urgency=medium

  * Don't use -m32/-m64 (Closes: #819268).

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 29 Apr 2016 13:00:24 +0200

pseudo (1.7.5-1) unstable; urgency=medium

  * New upstream release.
  * Patch from upstream:
    - add wrapper for bind
  * Fix punctuation in the manpage.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 28 Apr 2016 09:47:42 +0200

## pseudo 1.8.1+git20161012

=== debian/changelog ===
pseudo (1.8.1+git20161012-2) unstable; urgency=medium

  * Attempt to unbreak x32 build.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 29 Oct 2016 19:19:30 +0200

pseudo (1.8.1+git20161012-1) unstable; urgency=medium

  * New upstream snapshot.
  * Drop upstream patches included in the snapshot.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 29 Oct 2016 11:22:10 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: pseudo
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, libpseudo (>= ${binary:Version})
 Provides: fakeroot
 Description: advanced tool for simulating superuser privileges
  The pseudo utility offers a way to run commands in a virtualized "root"
@@ -21,3 +21,22 @@
  that improves on the problems seen using fakeroot. Pseudo is now
  extensively used by Poky as a replacement to fakeroot but can also be
  used standalone in many other use cases.
+
+Package: libpseudo
+Architecture: any
+Multi-Arch: same
+Replaces: pseudo (<< 1.7.5-3~)
+Breaks: pseudo (<< 1.7.5-3~)
+Depends: ${shlibs:Depends}
+Description: advanced tool for simulating superuser privileges
+ The pseudo utility offers a way to run commands in a virtualized "root"
+ environment, allowing ordinary users to run commands which give the
+ illusion of creating device nodes, changing file ownership, and otherwise doing
+ things necessary for creating distribution packages or filesystems.
+ .
+ Pseudo has a lot of similarities to fakeroot but is a new implementation
+ that improves on the problems seen using fakeroot. Pseudo is now
+ extensively used by Poky as a replacement to fakeroot but can also be
+ used standalone in many other use cases.
+ .
+ This package contains the LD_PRELOAD libraries.

## pseudo 1.9.0+git20180920

=== debian/changelog ===
pseudo (1.9.0+git20180920-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Add Vcs-* field

  [ Andrej Shadura ]
  * New upstream snapshot.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 25 Nov 2018 15:41:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: pseudo
 Section: utils
 Priority: optional
-Maintainer: Andrew Shadura <andrewsh@debian.org>
+Maintainer: Andrej Shadura <andrewsh@debian.org>
 Build-Depends: debhelper (>=9), attr, libattr1-dev, python, libsqlite3-dev
 Standards-Version: 3.9.6
-Homepage: https://www.yoctoproject.org/tools-resources/projects/pseudo
+Homepage: https://www.yoctoproject.org/software-item/pseudo/
+Vcs-Browser: https://salsa.debian.org/debian/pseudo
+Vcs-Git: https://salsa.debian.org/debian/pseudo.git
 
 Package: pseudo
 Architecture: any

## pseudo 1.9.0+git20190515+996bead

=== debian/changelog ===
pseudo (1.9.0+git20190515+996bead-2ubuntu1) focal; urgency=medium

  * Build using python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Mar 2020 20:49:10 +0200

pseudo (1.9.0+git20190515+996bead-2) unstable; urgency=medium

  * Fix an accidental file conflict brining postinst/prerm and manpages
    back to the package pseudo (Closes: #933145).

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 28 Jul 2019 16:24:03 -0300

pseudo (1.9.0+git20190515+996bead-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add a real watch file.
  * Add missing ${misc:Depends} to Depends for libpseudo.
  * Bump debhelper from old 9 to 12.
  * Use debhelper-compat instead of debian/compat.
  * Run wrap-and-sort -bast.
  * Bump Standards-Version to 4.3.0

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 26 Jul 2019 14:55:01 -0300

=== debian/control ===
Source: pseudo
Section: utils
Priority: optional
Maintainer: Andrej Shadura <andrewsh@debian.org>
Build-Depends:
 attr,
 debhelper-compat (= 12),
 libattr1-dev,
 libsqlite3-dev,
 python2,
Standards-Version: 4.3.0
Homepage: https://www.yoctoproject.org/software-item/pseudo/
Vcs-Browser: https://salsa.debian.org/debian/pseudo
Vcs-Git: https://salsa.debian.org/debian/pseudo.git

Package: libpseudo
Architecture: any
Multi-Arch: same
Replaces:
 pseudo (<< 1.7.5-3~),
Breaks:
 pseudo (<< 1.7.5-3~),
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: advanced tool for simulating superuser privileges
 The pseudo utility offers a way to run commands in a virtualized "root"
 environment, allowing ordinary users to run commands which give the
 illusion of creating device nodes, changing file ownership, and otherwise doing
 things necessary for creating distribution packages or filesystems.
 .
 Pseudo has a lot of similarities to fakeroot but is a new implementation
 that improves on the problems seen using fakeroot. Pseudo is now
 extensively used by Poky as a replacement to fakeroot but can also be
 used standalone in many other use cases.
 .
 This package contains the LD_PRELOAD libraries.

Package: pseudo
Architecture: any
Multi-Arch: foreign
Depends:
 libpseudo (>= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 libpseudo (<< 1.9.0+git20190515+996bead-2~)
Breaks:
 libpseudo (<< 1.9.0+git20190515+996bead-2~)
Provides:
 fakeroot,
Description: advanced tool for simulating superuser privileges
 The pseudo utility offers a way to run commands in a virtualized "root"
 environment, allowing ordinary users to run commands which give the
 illusion of creating device nodes, changing file ownership, and otherwise doing
 things necessary for creating distribution packages or filesystems.
 .
 Pseudo has a lot of similarities to fakeroot but is a new implementation
 that improves on the problems seen using fakeroot. Pseudo is now
 extensively used by Poky as a replacement to fakeroot but can also be
 used standalone in many other use cases.

=== debian/watch ===
version=4

opts="mode=git, pgpmode=none, repack, compression=xz" \
 https://git.yoctoproject.org/git/pseudo \
 refs/tags/pseudo-([\d.]+)

opts="mode=git, pgpmode=none, pretty=1.9.0+git%cd+%h, repack, compression=xz" \
 https://git.yoctoproject.org/git/pseudo \
 HEAD

## pseudo 1.9.0+git20200626+067950b

=== debian/changelog ===
pseudo (1.9.0+git20200626+067950b-2) unstable; urgency=medium

  * Fix the Python 3 build dependency (Closes: #964918).

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 12 Jul 2020 11:38:55 +0200

pseudo (1.9.0+git20200626+067950b-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #943180).
  * debian/watch: Track both the HEAD and oe-core branch
  * Refresh the patches.
  * Bump Standards-Version to 4.5.0.
  * Set upstream metadata fields: Repository.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 10 Jul 2020 18:53:31 +0200

pseudo (1.9.0+git20190802+060058b-1) unstable; urgency=medium

  * New upstream snapshot.
  * Use <sys/xattr.h> rather than the deprecated <attr/xattr.h> from libattr
    (Closes: #953906).

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 14 Mar 2020 20:28:38 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  debhelper-compat (= 12),
  libattr1-dev,
  libsqlite3-dev,
- python2,
-Standards-Version: 4.3.0
+ python3,
+Standards-Version: 4.5.0
 Homepage: https://www.yoctoproject.org/software-item/pseudo/
 Vcs-Browser: https://salsa.debian.org/debian/pseudo
 Vcs-Git: https://salsa.debian.org/debian/pseudo.git

=== debian/watch ===
--- 
+++ 
@@ -7,3 +7,7 @@
 opts="mode=git, pgpmode=none, pretty=1.9.0+git%cd+%h, repack, compression=xz" \
  https://git.yoctoproject.org/git/pseudo \
  HEAD
+
+opts="mode=git, pgpmode=none, pretty=1.9.0+git%cd+%h, repack, compression=xz" \
+ https://git.yoctoproject.org/git/pseudo \
+ heads/oe-core

## pseudo 1.9.0+git20211111+300d7570720b

=== debian/changelog ===
pseudo (1.9.0+git20211111+300d7570720b-2) unstable; urgency=high

  * Temporarily unprovide fakeroot to mitigate #1003893.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 17 Jan 2022 21:45:28 +0100

pseudo (1.9.0+git20211111+300d7570720b-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #1002136).
  * Update the watch file to track branch oe-core.
  * Drop a patch reimplemented differently upstream.
  * Update standards version to 4.6.0, no changes needed.
  * Set Rules-Requires-Root: no.
  * Update debian/copyright.
  * Slightly simplify debian/rules.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 06 Jan 2022 13:39:53 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  libattr1-dev,
  libsqlite3-dev,
  python3,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://www.yoctoproject.org/software-item/pseudo/
 Vcs-Browser: https://salsa.debian.org/debian/pseudo
 Vcs-Git: https://salsa.debian.org/debian/pseudo.git
@@ -47,8 +48,8 @@
  libpseudo (<< 1.9.0+git20190515+996bead-2~)
 Breaks:
  libpseudo (<< 1.9.0+git20190515+996bead-2~)
-Provides:
- fakeroot,
+#Provides:
+# fakeroot,
 Description: advanced tool for simulating superuser privileges
  The pseudo utility offers a way to run commands in a virtualized "root"
  environment, allowing ordinary users to run commands which give the

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export CFLAGS := $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)

libdir = /usr/lib/$(DEB_HOST_MULTIARCH)/pseudo

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --bits=$(DEB_HOST_ARCH_BITS) --libdir=$(libdir) --without-rpath
	sed -e 's,@LIBDIR@,$(libdir),g' debian/fakeroot-pseudo.in > debian/fakeroot-pseudo

override_dh_auto_install:
	dh_auto_install
	rm -r debian/*/usr/var

override_dh_auto_test:
	unset LD_PRELOAD; \
	dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.txt

## pseudo 1.9.0+git20220404+2b4b88eb5133

=== debian/changelog ===
pseudo (1.9.0+git20220404+2b4b88eb5133-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #1003893).
  * Revert "Temporarily unprovide fakeroot".

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 23 Aug 2022 15:40:52 +0200

=== debian/control ===
--- 
+++ 
@@ -48,8 +48,8 @@
  libpseudo (<< 1.9.0+git20190515+996bead-2~)
 Breaks:
  libpseudo (<< 1.9.0+git20190515+996bead-2~)
-#Provides:
-# fakeroot,
+Provides:
+ fakeroot,
 Description: advanced tool for simulating superuser privileges
  The pseudo utility offers a way to run commands in a virtualized "root"
  environment, allowing ordinary users to run commands which give the

=== debian/watch ===
version=4

opts="mode=git, pgpmode=none, pretty=1.9.0+git%cd+%h, repack, compression=xz" \
 https://git.yoctoproject.org/git/pseudo \
 heads/oe-core

opts="mode=git, pgpmode=none, repack, compression=xz" \
 https://git.yoctoproject.org/git/pseudo \
 refs/tags/pseudo-([\d.]+)

## pseudo 1.9.0+git20230301+ec6151a2b057

=== debian/changelog ===
pseudo (1.9.0+git20230301+ec6151a2b057-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add a build dependency on acl for tests.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 14 Aug 2023 10:02:10 +0200

pseudo (1.9.0+git20220404+2b4b88eb5133-2) unstable; urgency=medium

  * Clean new files created during the build (Closes: #1048625)

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 14 Aug 2023 09:13:53 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  libattr1-dev,
  libsqlite3-dev,
  python3,
+ acl <!nocheck>,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.yoctoproject.org/software-item/pseudo/

## pseudo 1.9.2%2Bgit20250711%2Bd1db9c219abf

=== debian/changelog ===
pseudo (1.9.2+git20250711+d1db9c219abf-2) unstable; urgency=medium

  * Filter out -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_TIME_BITS=64
    during the build (Closes: #1069487).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 23 Sep 2025 14:03:57 +0200

pseudo (1.9.2+git20250711+d1db9c219abf-1) unstable; urgency=medium

  * New upstream snapshot.
  * Update debian/watch.
  * Update standards version to 4.6.2, no changes needed.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 21 Sep 2025 18:03:35 +0200

## pseudo 1.9.2+git20250711+d1db9c219abf

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libsqlite3-dev,
  python3,
  acl <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.yoctoproject.org/software-item/pseudo/
 Vcs-Browser: https://salsa.debian.org/debian/pseudo

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include /usr/share/dpkg/default.mk
 
-export CFLAGS := $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)
+export CFLAGS := $(filter-out -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_TIME_BITS=64,$(CFLAGS) $(CPPFLAGS) $(LDFLAGS))
 
 libdir = /usr/lib/$(DEB_HOST_MULTIARCH)/pseudo

=== debian/watch ===
version=4

opts="mode=git, pgpmode=none, pretty=1.9.2+git%cd+%h, repack, compression=xz" \
 https://git.yoctoproject.org/git/pseudo \
 heads/master

opts="mode=git, pgpmode=none, repack, compression=xz" \
 https://git.yoctoproject.org/git/pseudo \
 refs/tags/pseudo-([\d.]+)

## pseudo labeller-0.0.2

=== requirements.txt ===
torch
einops
huggingface_hub
